Skip to main content
POST
/
api
/
2.0
/
non_visit_notes
Create Non Visit Note
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/non_visit_notes/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chart_date": "2023-11-07T05:31:56Z",
  "document_date": "2023-11-07T05:31:56Z",
  "patient": 123,
  "type": "<string>",
  "bullets": [
    {
      "text": "<string>",
      "author": 123,
      "id": 123,
      "version": 32767
    }
  ],
  "note_documents": [
    {
      "document": {
        "authoring_practice": 123,
        "chart_date": "2023-11-07T05:31:56Z",
        "document_date": "2023-11-07T05:31:56Z",
        "id": 123,
        "patient": 123,
        "last_modified": "2023-11-07T05:31:56Z"
      },
      "summary": "<string>"
    }
  ],
  "note_items": [
    {
      "item": {
        "is_confidential": true,
        "patient": 123,
        "type": "<string>"
      }
    }
  ],
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z",
  "tags": [
    123
  ]
}
'
{
  "chart_date": "2023-11-07T05:31:56Z",
  "document_date": "2023-11-07T05:31:56Z",
  "patient": 123,
  "type": "<string>",
  "bullets": [
    {
      "text": "<string>",
      "author": 123,
      "id": 123,
      "updated_date": "2023-11-07T05:31:56Z",
      "version": 32767
    }
  ],
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "id": 123,
  "note_documents": [
    {
      "document": {
        "authoring_practice": 123,
        "chart_date": "2023-11-07T05:31:56Z",
        "document_date": "2023-11-07T05:31:56Z",
        "id": 123,
        "patient": 123,
        "created_date": "2023-11-07T05:31:56Z",
        "deleted_date": "2023-11-07T05:31:56Z",
        "document_type": 123,
        "last_modified": "2023-11-07T05:31:56Z",
        "sign_date": "2023-11-07T05:31:56Z",
        "signed_by": 123
      },
      "id": 123,
      "summary": "<string>"
    }
  ],
  "note_items": [
    {
      "item": {
        "is_confidential": true,
        "patient": 123,
        "type": "<string>",
        "created_date": "2023-11-07T05:31:56Z",
        "deleted_date": "2023-11-07T05:31:56Z",
        "id": 123
      },
      "id": 123
    }
  ],
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z",
  "tags": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
chart_date
string<date-time>
required
document_date
string<date-time>
required
patient
integer<int64>
required
type
string
required

The type of the non visit note.

bullets
object[]

The bullets of the non visit note.

note_documents
(object | null)[]

The documents referenced by the non visit note.

note_items
(object | null)[]

The items in the clinical record on the left hand side of the chart referenced by the non visit note.

signed_by
integer<int64> | null
signed_date
string<date-time> | null
tags
integer<int64>[]

The ids of the document tags you want to attach.

Response

201 - application/json
chart_date
string<date-time>
required
document_date
string<date-time>
required
patient
integer<int64>
required
type
string
required

The type of the non visit note.

bullets
object[]

The bullets of the non visit note.

created_date
string<date-time> | null
read-only
deleted_date
string<date-time> | null
read-only
id
integer
read-only
note_documents
(object | null)[]

The documents referenced by the non visit note.

note_items
(object | null)[]

The items in the clinical record on the left hand side of the chart referenced by the non visit note.

signed_by
integer<int64> | null
signed_date
string<date-time> | null
tags
integer<int64>[]

The ids of the document tags you want to attach.